Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000337Core InformScenespublic2010-10-20 20:452010-10-28 00:31
Assigned Tograham 
Platformx86OSWindowsOS VersionXP
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000337: Internal error when declaring a begin/end condition for a scene variable
DescriptionWhen a behavior is assigned to a scene that varies, the compiler throws an 'impossible' error:
Inform 7 build 6E72 has started.
I've now read your source text, which is 13 words long.
I've also read Standard Rules by Graham Nelson, which is 39419 words long.
  >--> An internal error has occurred: attempt to retrieve wrong pointer type
    as named_constant. The current sentence is 'The foo begins when play
    begins' (source text, line 3); the error was detected at line 758 of
    "Chapter 2/Memory.w". This should never happen, and I am now halting in
    abject failure.

Compiler finished with code 1
Minimal Source Text To Reproduce
The foo is a scene that varies.

The foo begins when play begins.
TagsNo tags attached.
Effect(critical) Compiler reports internal error
Attached Files

- Relationships

-  Notes
graham (administrator)
2010-10-24 02:20

Nitwit mistake, this; it crashed while printing diagnostic information the debugging log about the problem, and thus didn't live long enough to issue the problem itself.

- Issue History
Date Modified Username Field Change
2010-10-20 20:45 fberthold New Issue
2010-10-21 00:07 jmcgrew Status new => confirmed
2010-10-21 00:07 jmcgrew Summary The compiler crashes when a scene variable is referenced => Internal error when declaring a begin/end condition for a scene variable
2010-10-24 02:20 graham Note Added: 0000729
2010-10-24 02:20 graham Status confirmed => resolved
2010-10-24 02:20 graham Resolution open => fixed
2010-10-24 02:20 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:31 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker